Bug 5391 - audio problem with CS4237B chipset
audio problem with CS4237B chipset
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
Depends On:
  Show dependency treegraph
Reported: 1999-09-27 05:36 EDT by robert
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-01-23 16:02:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description robert 1999-09-27 05:36:35 EDT
This report follows up a RH support incident, where it was
suggested this is not a configuration broblem.

I have a shiny new Dell precision 410 workstation,
preinstalled with RH6.0 SBE

The audio hardware claims to be a 16-bit PNP Crystal 3D
CS4237B card in the system documentation.

Unfortunately there is a distinctive load click from the
audio device whenever it starts to play sound.

This can be demonstrated in various ways:
1) Playing any audio file using the sox play command.
2) Playing any audio file using out own audiolibrary code
   (Edinburgh Speech Tools)
3) Playing the audio example of Linus with the Red
Hat          supplied sndconfig  program.

It is much more noticable with speech as it usually starts
with a few milliseconds of silence. Unforunatley this is
what the machine spends its life doing...

I have known this phenomenon to occur with some other (but
not all) Crystal based sound cards, so it can probably be
easily reproduced with similar hardware.

usefull info:
  alias sound cs4232
  pre-install sound insmod sound dmabuf=1
  alias midi opl3
  options opl3 io=0x388
  options cs4232 io=0x534 irq=5 dma=1 dma2=0
mpuio=0x330               mpuirq=5 synthirq=-1 synthio=-1
Comment 1 Stephen John Smoogen 2003-01-23 16:02:44 EST
Bug 5391 has been closed because Red Hat Linux 6.0 is no longer supported and
won't be fixed. I have found that most bugs with Crystal sound were fixed by 6.2
and definately by 7.2 [My Similar Dell box runs fine with 7.2 and sound.]

Note You need to log in before you can comment on or make changes to this bug.